Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.mbeans
Interface AttributeLoaderMBean

public interface AttributeLoaderMBean
extends ServiceConfigurationMBean

Configuration for specifying attribute loader classes used by the p13n http request and session objects.

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Method Summary
`java.lang.String[]` | `getRequestLoaders()` Returns the AttributeLoader classes to use in a Request object.
`java.lang.String[]` | `getSessionLoaders()` Returns the AttributeLoader classes to use in a Session object.
`void` | `setRequestLoaders(java.lang.String[] loaders)`
`void` | `setSessionLoaders(java.lang.String[] loaders)`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`addLinkMbeanAttribute, getAttributeStringValue, getNotes, getSetFields, getXml, getXmlConverter, isPersistenceEnabled, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getRequestLoaders

    public java.lang.String[] getRequestLoaders()

  Returns the AttributeLoader classes to use in a Request object.

  Old Property: p13n.request.loaders

### setRequestLoaders

    public void setRequestLoaders(java.lang.String[] loaders)

### getSessionLoaders

    public java.lang.String[] getSessionLoaders()

  Returns the AttributeLoader classes to use in a Session object.

  Old Property: p13n.session.loaders

### setSessionLoaders

    public void setSessionLoaders(java.lang.String[] loaders)

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved